<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Honorar\RavensbergHalle\HonorarPdf;

use Kufer\Web\Classes\Export\ExportKurseWithSpecifiedDozent;
use Kufer\Web\Classes\ExportAdapter\ExpAdditionalVariables;

class HonorarAbrechnungDialogView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'dozent/kursuebersicht/detailsreiter/honorarabrechung_dialog_ravensberg_halle.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $kurs = $this->viewModel->kurs;

    return array($kurs);
  }

  protected function getDefaultExportAdapter()
  {
    return new ExpAdditionalVariables(new ExportKurseWithSpecifiedDozent($this->viewModel->dozent), array(
      'fahrkostenkm' => $this->viewModel->fahrkostenkm,
      'fahrkostenprokm' => $this->viewModel->fahrkostenprokm,
      'fahrkostentage' => $this->viewModel->fahrkostentage,
      'bemerkungen' => $this->viewModel->bemerkungen,
      'verguetungen' => $this->viewModel->verguetungen ?? array(),
      'rechnungsnummer' => $this->viewModel->rechnungsnummer
    ));
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->kurstage;
  }

  public function show()
  {
    $result = $this->getHeader();
    $result .= $this->getBody();
    $result .= $this->getFooter();

    return $result;
  }
}